package com.persagy.apm.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-07 18:12:04
 */
@Data
@ApiModel(value = "创建报警条件入参")
public class AddAlarmConditionDTO {
    @ApiModelProperty(value = "包含的参数", required = true)
    @NotNull(message = "包含的参数不能为空") // todo 更新校验规则
    private Object infoCodes;

    @ApiModelProperty(value = "前端展示", required = true)
    @NotNull(message = "前端展示不能为空") // todo 更新校验规则
    private Object frontend;

    @ApiModelProperty(value = "后端使用", required = true)
    @NotNull(message = "后端使用不能为空") // todo 更新校验规则
    private Object backend;

    @ApiModelProperty(value = "触发时长", required = true)
    @NotNull(message = "触发时长不能为空") // todo 更新校验规则
    private Integer triggerUphold;

    @ApiModelProperty(value = "报警等级", required = true)
    @NotNull(message = "报警等级不能为空") // todo 更新校验规则
    private String alarmLevel;

}
