package com.persagy.apm.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-07 18:12:07
 */
@Data
@ApiModel(value = "监测指标列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("指标名称")
    private String name;

    @ApiModelProperty("设备类")
    private String classCode;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
